# Interface NativeLibraryBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, LibraryBinarySpec, ModelElement, Named, NativeBinarySpec`

All Known Subinterfaces:
  `SharedLibraryBinarySpec, StaticLibraryBinarySpec`

@Incubating @Deprecated public interface NativeLibraryBinarySpec extends NativeBinarySpec, LibraryBinarySpec
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
Represents a binary artifact that is the result of building a native library component.

Since:
  2.2

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NativeLibrarySpec`
  `getComponent()`
  Deprecated.
  The component that this binary was built from.
  `NativeLibrarySpec`
  `getLibrary()`
  Deprecated.
  The library that this binary belongs to.

  ### Methods inherited from interface Binary

  `getDisplayName`

  ### Methods inherited from interface BinarySpec

  `getInputs, getSources, getTasks, isBuildable`

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface CheckableComponentSpec

  `checkedBy, getCheckTask, setCheckTask`

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

  ### Methods inherited from interface NativeBinarySpec

  `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

- ## Method Details

  - ### getComponent

    NativeLibrarySpec getComponent()
    Deprecated.
    The component that this binary was built from.
    Specified by:
      `getComponent` in interface `NativeBinarySpec`

  - ### getLibrary

    NativeLibrarySpec getLibrary()
    Deprecated.
    The library that this binary belongs to.
    Specified by:
      `getLibrary` in interface `LibraryBinarySpec`